## org.exist.xmldb.test
Class DOMTestJUnit

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.xmldb.test.DOMTestJUnit

All Implemented Interfaces:
  junit.framework.Test

public class DOMTestJUnit
extends junit.framework.TestCase

A test case for accessing DOMS remotely

Author:
  jmv, Pierrick Brihaye <pierrick.brihaye@free.fr>

Constructor Summary
`DOMTestJUnit(java.lang.String name)`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `testDOMUpdate()` test Update of an existing document through DOM

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DOMTestJUnit

    public DOMTestJUnit(java.lang.String name)

Parameters:
  `name` -

Method Detail

### testDOMUpdate

    public void testDOMUpdate()

  test Update of an existing document through DOM

### main

    public static void main(java.lang.String[] args)

Copyright (C) Wolfgang Meier. All rights reserved.